%bcond_with check
%global debug_package %{nil}

%global goipath         github.com/dennwc/btrfs
%global commit          a1f570bd01a14302c88f46fc37fc3018a60f3370

%gometa

%global common_description %{expand:
Btrfs library in a pure Go.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Btrfs library in a pure Go

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Sep 04 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
